io.vertx.rxjava3.openapi.contract

## Class OAuthFlow

- java.lang.Object
- - io.vertx.rxjava3.openapi.contract.OAuthFlow

-     public class OAuthFlow
      extends Object

  Represents an OAuth Flow Object (the configuration).

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<OAuthFlow>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuthFlow(OAuthFlow delegate)`
    `OAuthFlow(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getAuthorizationUrl()` The authorization URL to be used for this flow.
    `OAuthFlow` | `getDelegate()`
    `String` | `getRefreshUrl()` The URL to be used for obtaining refresh tokens.
    `Set<String>` | `getScopes()` The available scopes for the OAuth2 security scheme.
    `String` | `getTokenUrl()` The token URL to be used for this flow.
    `int` | `hashCode()`
    `static OAuthFlow` | `newInstance(OAuthFlow arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<OAuthFlow> __TYPE_ARG

  - ### Constructor Detail

    - #### OAuthFlow

          public OAuthFlow(OAuthFlow delegate)

    - #### OAuthFlow

          public OAuthFlow(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public OAuthFlow getDelegate()

    - #### getAuthorizationUrl

          public String getAuthorizationUrl()

      The authorization URL to be used for this flow. This MUST be in the form of a URL. The OAuth2 standard requires the use of TLS.
      Returns:

    - #### getTokenUrl

          public String getTokenUrl()

      The token URL to be used for this flow. This MUST be in the form of a URL. The OAuth2 standard requires the use of TLS.
      Returns:

    - #### getRefreshUrl

          public String getRefreshUrl()

      The URL to be used for obtaining refresh tokens. This MUST be in the form of a URL. The OAuth2 standard requires the use of TLS.
      Returns:

    - #### getScopes

          public Set<String> getScopes()

      The available scopes for the OAuth2 security scheme. A set of the scope names. The set MAY be empty.
      Returns:

    - #### newInstance

          public static OAuthFlow newInstance(OAuthFlow arg)

Copyright © 2023 Eclipse. All rights reserved.